# Elasticsearch Cloudron Package Installation

This guide explains how to install the Elasticsearch package on your Cloudron instance.

## Prerequisites

- A Cloudron instance (version 7.0.0 or later)
- Administrative access to your Cloudron

## Installation Steps

### Method 1: Using the Cloudron App Store (When Available)

1. Log in to your Cloudron dashboard
2. Go to the App Store
3. Search for "Elasticsearch"
4. Click Install
5. Follow the on-screen instructions

### Method 2: Manual Installation

1. Download the latest package from the releases page
2. Log in to your Cloudron dashboard
3. Go to Settings -> Apps -> Install with File
4. Select the downloaded package file
5. Follow the on-screen instructions

## Post-Installation

After installation:

1. Check the app logs to ensure Elasticsearch has started correctly
2. Update the default password in the app's environment settings
3. Configure your other Cloudron apps to connect to Elasticsearch using `localhost:9200`

## Troubleshooting

- If Elasticsearch fails to start, check the app logs for error messages
- Ensure your Cloudron has sufficient resources available
- If you encounter disk space issues, consider increasing the app's storage allocation

## Support

For support, please create an issue on the package's GitHub repository or contact the package maintainer. 