# Elasticsearch for Cloudron

This package provides Elasticsearch for Cloudron, configured for internal use only. It is not exposed to the web and is intended to be used by other apps within your Cloudron instance.

## Features

- Elasticsearch 8.17.3 (configurable)
- Single-node configuration optimized for Cloudron
- Security enabled with basic authentication
- Internal access only

## Usage

After installation, Elasticsearch will be available at the following URLs:

- HTTP API: `http://localhost:9200` (from within other Cloudron apps)
- Transport port: `localhost:9300` (for Elasticsearch clients)

### Authentication

Default credentials:
- Username: `elastic`
- Password: `cloudron`

It's recommended to change the default password after installation by updating the `.env` file and restarting the app.

### Connection from other Cloudron apps

To connect to Elasticsearch from another Cloudron app, you can use the following connection details:

```
Host: localhost
Port: 9200
Username: elastic
Password: <your password from .env>
```

## Configuration

You can modify the configuration by editing the `.env` file in the app's data directory and restarting the app.

Available configuration options:

- `ELASTIC_PASSWORD`: Password for the 'elastic' user
- `STACK_VERSION`: Version of Elasticsearch to use
- `CLUSTER_NAME`: Name of the Elasticsearch cluster
- `LICENSE`: License type ('basic' or 'trial')

## Limitations

- This package is for internal use only and is not exposed to the web
- It's configured as a single-node cluster for simplicity
- Memory is limited to 1GB (configurable in CloudronManifest.json)

## Support

For support, please create an issue on the package's GitHub repository or contact the package maintainer. 